/* override some prefs in mailnews.js */
pref("mailnews.start_page.url", "chrome://messenger-region/locale/region-ns.properties");
pref("messenger.throbber.url","chrome://messenger-region/locale/region-ns.properties");
pref("compose.throbber.url","chrome://messenger-region/locale/region-ns.properties");
pref("addressbook.throbber.url","chrome://messenger-region/locale/region-ns.properties");
pref("mail.absync.port",5001);
pref("mail.absync.server","mailwsg.mcom.com/_cqr/sync");
pref("mail.absync.firsttime",true);
pref("mail.absync.client_map._AimScreenName","screen_name"); // support only one generic sync column
pref("mail.absync.server_map.screen_name","_AimScreenName"); // support only one generic sync column
pref("mailnews.reply_on_top", 1);
pref("mail.display_struct", false);
pref("mail.forward_message_mode", 2); // 0=default as attachment 2=forward as inline with attachments, (obsolete)1=forward as quoted
pref("mail.asksendformat.default", 3); //1=plaintext, 2=html, 3=both
pref("default_offline_support_level.imap.mail.aol.com", 0);
pref("default_supports_diskspace.imap.mail.aol.com", false);
pref("default_offline_support_level.imap.mail.netcenter.com", 10);

// for default_redirector_type, see bugscape bugs #19665 and #20069
// format is "default_redirector_type." + protocol + "." + hostname
pref("default_redirector_type.imap.mail.aol.com","aol");
pref("default_redirector_type.imap.mail.netcenter.com","netscape");    
pref("default_redirector_type.smtp.smtp.aol.com","aol");
pref("default_redirector_type.smtp.smtp.netscape.net","netscape");

// override for the "aol" redirector type.
// see nsImapIncomingServer::AllowFolderConversion() for details
// see nsImapIncomingServer::HideFolderName() for details
// see nsImapIncomingServer::GetTrashFolderByRedirectorType() for details
pref("imap.aol.convertFolders",true);
pref("imap.aol.hideFolder.RECYCLE_OUT",true)
pref("imap.aol.trashFolder","RECYCLE");
pref("imap.aol.isSecureServer", false);
pref("imap.aol.canEmptyTrashOnExit", false);
pref("imap.aol.canCreateFolders", false);
pref("imap.aol.canCompactFoldersOnServer", false);
pref("imap.aol.canUndoDeleteOnServer", false);
pref("imap.aol.canSearchMessages", false);
pref("imap.aol.canFileMessages", false);
pref("imap.aol.canSearchMessages", false);
pref("imap.aol.emptyTrashOnExit", false);
pref("mailnews.bannerad.alternateDisplay", false);
pref("mailnews.global_html_domains", "netscape.net,netscape.com,aol.com,cs.com,yahoo.com,hotmail.com,msn.com");
pref("mail.aol.unreadMailCountRegistryKeyPrefix", "America Online - ");
pref("mailnews.fakeaccount.show", true);
pref("mailnews.fakeaccount.server", "imap.mail.netcenter.com");

/* ns tree specific prefs */
pref("browser.toolbars.showbutton.mailPT", true);

// special enhancements for IMAP servers
pref("mail.server.default.store_read_mail_in_pfc", false);
pref("mail.server.default.store_sent_mail_in_pfc", false);

